import React from "react";
import PieSVG from "../../Helpers/PieSVG";
import '../../Cascading_Style_Sheets/index.css';
import Layout from "./Layout";

class  Repartitiondesventesparregion extends React.Component {
	constructor(props) {
	  super(props);
	  this.state = {annee: '2016',data: []};
	};
  
	componentWillMount(){
		console.log('Je suis appeler en premier!');
	  }


	  getData(){
		fetch(`https://${document.domain}:8443/repartition_des_ventes_par_region?anneeFiltre=${this.state.annee}`)
		  .then(response => {
			if (response.ok) {
			  const data = response.json()
			  return data;
			} else {
			  throw new Error('Something went wrong ...');
			}
		  })
		  .then(data => {
			this.setState({data: data });
		  })
		  .catch(error => console.log("error"));
	  }
	
	  componentDidMount(){
		this.timerID = setInterval(
			() => this.getData(),
			1000
		  );
	  }

    componentWillUnmount() {
      clearInterval(this.timerID);
    }
    
	handleChange(event) {
	  this.setState({ annee: event.target.value});
	};
  

	render() {

    function parseData(data) {
      var arr = [];
      data.map(function (thisList){
          arr.push({
            nombre_de_vente: thisList.nombre_de_vente,
            region : thisList.region 
          });
      })
      return arr;
  }

  const c  =parseData(this.state.data)

  const generateData = () =>
   c.map((item, index) => ({
    index: index,
    value: item.nombre_de_vente,
    region: item.region

  }));
   
  const data = generateData();
  console.log(data)

  return (
 
 <div class="conteneur jumbotron p-3 my-xl-5 root2">
		<center  >
        <Layout/>
        <h3 class=" text-light" >L'annee selectioné est : <b class=" text-primary">{this.state.annee}</b></h3>
        <select onChange={this.handleChange.bind(this)} class="custom-select" name="">
                  <option >2015</option>
                  <option >2016</option>
                  <option >2017</option>
                  <option >2018</option>
                  <option >2019</option>

               </select>


        <br/><br/><br/><br/>
        <PieSVG
          data={data}
          width={800}
          height={800}
          innerRadius={150}
          outerRadius={400}
        />
        </center>
      </div>
        
  );
}
}

  
  export default  Repartitiondesventesparregion;