import React from "react";
import Bar from "../../Helpers/Bar";
import Layout from "./Layout";

class Nombredeventeparjma extends React.Component {
	constructor(props) {
	  super(props);
  
	  this.state = {mois: 'month', dateDebut: '2015-01-01',dateFin: '2015-04-01',data: []};
	  
	};
  
	componentWillMount(){
		console.log('Je suis appeler en premier!');
	  }
	

	  getData(){
		fetch(`https://${document.domain}:8443/nombre_devente_parJMA?interval=${this.state.mois}&dateDebut=${this.state.dateDebut}&dateFin=${this.state.dateFin}`)
		  .then(response => {
			if (response.ok) {
			  const data = response.json()
			  return data;
			} else {
			  throw new Error('Something went wrong ...');
			}
		  })
		  .then(data => {
			this.setState({data: data });
		  })
		  .catch(error => console.log("error"));
	  }
	
	  componentDidMount(){
		this.timerID = setInterval(
			() => this.getData(),
			1000
		  );
	
	  }

	  componentWillUnmount() {
		clearInterval(this.timerID);
	  }

	handleChangeDateDebut(event) {
	  this.setState({ dateDebut: event.target.value});
	};
	handleChangeDateDebutDateFin(event) {
		this.setState({dateFin: event.target.value});
	  };
	  handleChangeDateDebutMois(event) {
		this.setState({mois: event.target.value});
	  };

	render() {

		function parseData(data) {
			var arr = [];
			data.map(function (thisList){
				arr.push({
					nombre_de_vente: thisList.nombre_de_vente | 0,
				    dat : thisList.dat 
				});
			})
			return arr;
		}

		const c  =parseData(this.state.data)

		  const generateData = () =>
		   c.map((item, index) => ({
			  index: index,
			  date: new Date(item.dat).toLocaleDateString('fr-FR', {day: 'numeric', year: 'numeric', month: 'long' }),
			  value: item.nombre_de_vente
			}));
		   
		  const data = generateData();
		  console.log(data)
		  
	  return (
		<div class="conteneur jumbotron p-3 my-xl-5 root2">
		<center  >
			<Layout/>
                <h3 class=" text-light" >Filtrer par  : <b class=" text-primary">{this.state.mois}</b></h3>
				<h3 class=" text-light" >La date du debut est : <b class=" text-primary">{this.state.dateDebut}</b></h3>
				<h3 class=" text-light" >L'annee de fin : <b class=" text-primary">{this.state.dateFin}</b></h3>
			
				<select onChange={this.handleChangeDateDebutMois.bind(this)} class="custom-select" name="">
                  <option >day</option>
                  <option >month</option>
                  <option >year</option>
              
               </select>
			   <br/><br/>
			   <input type="date" class="form-control" placeholder="Saisir la date de debut "
			    onChange={this.handleChangeDateDebut.bind(this)}
		        min="2015-01-01" max="2019-12-31"/><br/>
			 
			    <input type="date" class="form-control" placeholder="Saisir la date de fin "
			     onChange={this.handleChangeDateDebutDateFin.bind(this)}
		        min="2015-01-01" max="2019-12-31"/>

		  <Bar
          data={data}
          width={800}
          height={800}
          top={20}
          bottom={30}
          left={100}
          right={30}
        />
		      </center>

         </div>
		  		
	  );
	}
  }
  
  export default Nombredeventeparjma;